mixin nav
    nav.navbar.navbar-dark.sticky-top.bg-dark.flex-md-nowrap.p-0
        a.navbar-brand.col-sm-3.col-md-2.mr-0(href='#') BzConcursos
        input.form-control.form-control-dark.w-100(type='text', placeholder='Buscar notícia...', aria-label='Buscar',
        name="key", onchange="window.location='/admin/noticias?key='+this.value+'&sort=_relevance'")
        ul.navbar-nav.px-3
            li.nav-item.text-nowrap
                a.nav-link(href='/admin/logout') Sair

mixin sidebar
    .container-fluid
        .row
            nav.col-md-2.d-none.d-md-block.bg-light.sidebar
                .sidebar-sticky
                    ul.nav.flex-column
                        li.nav-item
                            a.nav-link(href='/admin/home', class=((page === 'home') ? "active" : ""))
                                i.fa.fa-home
                                |  Início

                        li.nav-item
                            a.nav-link(href='/admin/sites', class=((page === 'sites') ? "active" : ""))
                                i.fa.fa-sitemap
                                |  Sites

                        li.nav-item
                            a.nav-link(href='/admin/noticias', class=((page === 'noticias') ? "active" : ""))
                                i.fa.fa-newspaper
                                |  Notícias

                    if(user.group === 'ADMIN')
                        h6.sidebar-heading.d-flex.justify-content-between.align-items-center.px-3.mt-4.mb-1.text-muted
                            span Segurança
                            a.d-flex.align-items-center.text-muted(href='#')
                                span(data-feather='plus-circle')
                        ul.nav.flex-column.mb-2
                            li.nav-item
                                a.nav-link(href='/admin/accounts', class=((page === 'accounts') ? "active" : ""))
                                    i.fa.fa-user
                                    |  Usuários

mixin alerts(title, clazz, alert)
    if(alert && alert.length > 0)
        .alert.alert-dismissible.fade.show(role='alert', class="alert-" + clazz)
            strong=title
            span=" " + alert
            button.close(type='button', data-dismiss='alert', aria-label='Close')
                span(aria-hidden='true') ×